## org.apache.poi.hssf.record
Class SupBookRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.SupBookRecord

    public final class SupBookRecord

extends StandardRecord

Title: Sup Book - EXTERNALBOOK (0x01AE)

Description: A External Workbook Description (Supplemental Book) Its only a dummy record for making new ExternSheet Record

REFERENCE: 5.38

Author:
  Libin Roman (Vista Portal LDT. Developer), Andrew C. Oliver (acoliver@apache.org)

Field Summary
`protected static char` `CH_ALT_STARTUP_DIR`
`protected static char` `CH_DOWN_DIR`
`protected static char` `CH_LIB_DIR`
`protected static char` `CH_LONG_VOLUME`
`protected static char` `CH_SAME_VOLUME`
`protected static char` `CH_STARTUP_DIR`
`protected static char` `CH_UP_DIR`
`protected static char` `CH_VOLUME`
`protected static java.lang.String` `PATH_SEPERATOR`
`static short` `sid`

Constructor Summary
`SupBookRecord(RecordInputStream in)` called by the constructor, should set class level fields.
`SupBookRecord(java.lang.String url, java.lang.String[] sheetNames)`

Method Summary
`static SupBookRecord` `createAddInFunctions()`
`static SupBookRecord` `createExternalReferences(java.lang.String url, java.lang.String[] sheetNames)`
`static SupBookRecord` `createInternalReferences(short numberOfSheets)`
`protected int` `getDataSize()`
`short` `getNumberOfSheets()`
`java.lang.String[]` `getSheetNames()`
`short` `getSid()` return the non static version of the id for this record.
`java.lang.String` `getURL()`
`boolean` `isAddInFunctions()`
`boolean` `isExternalReferences()`
`boolean` `isInternalReferences()`
`void` `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` `setNumberOfSheets(short number)`
`void` `setURL(java.lang.String pUrl)`
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### CH_VOLUME

    protected static final char CH_VOLUME

See Also:
  Constant Field Values

### CH_SAME_VOLUME

    protected static final char CH_SAME_VOLUME

See Also:
  Constant Field Values

### CH_DOWN_DIR

    protected static final char CH_DOWN_DIR

See Also:
  Constant Field Values

### CH_UP_DIR

    protected static final char CH_UP_DIR

See Also:
  Constant Field Values

### CH_LONG_VOLUME

    protected static final char CH_LONG_VOLUME

See Also:
  Constant Field Values

### CH_STARTUP_DIR

    protected static final char CH_STARTUP_DIR

See Also:
  Constant Field Values

### CH_ALT_STARTUP_DIR

    protected static final char CH_ALT_STARTUP_DIR

See Also:
  Constant Field Values

### CH_LIB_DIR

    protected static final char CH_LIB_DIR

See Also:
  Constant Field Values

### PATH_SEPERATOR

    protected static final java.lang.String PATH_SEPERATOR

Constructor Detail

### SupBookRecord

    public SupBookRecord(java.lang.String url,
                         java.lang.String[] sheetNames)

### SupBookRecord

    public SupBookRecord(RecordInputStream in)

  called by the constructor, should set class level fields. Should throw runtime exception for bad/incomplete data.

  Parameters:
    `in` - the stream to read from

Method Detail

### createInternalReferences

    public static SupBookRecord createInternalReferences(short numberOfSheets)

### createAddInFunctions

    public static SupBookRecord createAddInFunctions()

### createExternalReferences

    public static SupBookRecord createExternalReferences(java.lang.String url,
                                                         java.lang.String[] sheetNames)

### isExternalReferences

    public boolean isExternalReferences()

### isInternalReferences

    public boolean isInternalReferences()

### isAddInFunctions

    public boolean isAddInFunctions()

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

  Specified by:
    `serialize` in class `StandardRecord`

### setNumberOfSheets

    public void setNumberOfSheets(short number)

### getNumberOfSheets

    public short getNumberOfSheets()

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### getURL

    public java.lang.String getURL()

### getSheetNames

    public java.lang.String[] getSheetNames()

### setURL

    public void setURL(java.lang.String pUrl)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.